
{%- assign menu_id = page.uuid | prepend: 'm-' -%}

{%- capture menu_svg -%}
  {% include_cached svg/menu.svg %}
{%- endcapture -%}

<nav class="position-fixed 
            fixed-top
            w-100 
            px-0 
            z-index-modal
            px-1  
            bg-pirata
            " data-controller="body-scroll"
      >
  <div class="row no-gutters justify-content-between align-items-center m-0">
    <div class="">
      <a href="{{ url.site }}">
        <div class="d-flex logo mt-2 mb-2">
            <img src="logo.png" alt="logo">
          <div class="f-1 ibm-plex-italic ml-1">
            partido<br>
            interdimensional<br>
            pirata
          </div>
        </div>
      </a>
    </div>
    <div class="d-block">
      {%- capture menu_svg -%}
      <div class="stroke-white">
        {% include_cached svg/menu.svg %}
      </div>
      {%- endcapture -%}

      <div class="m-2 w-20px">
        {% include_cached toggler_label.html class='fill-black d-block cursor-pointer' id=menu_id content=menu_svg %}
      </div>
    </div>
  </div>

  {% include_cached toggler.html id=menu_id extra='data-action="body-scroll#toggle"' %}

  <div class="
        toggled
        position-absolute
        top-0 left-0 w-100 h-100vh 
        bg-pirata
        align-items-center 
        px-1 
      ">
    <div class="pt-1">
        <div class="row no-gutters justify-content-between align-items-center m-0">
          <a href="{{ url.site }}">
            <div class="d-flex logo my-1">
                <img src="logo.png" alt="logo">
              <div class="f-1 ibm-plex-italic ml-1">
                partido<br>
                interdimensional<br>
                pirata
              </div>
            </div>
          </a>
          <div class="d-flex m-0 no-gutters justify-content-center fill-primary">
            {%- capture x_svg -%}
            <div class="w-20px m-2 fill-white">
              {% include_cached svg/x.svg %}
            </div>
            {%- endcapture -%}

            {% include_cached toggler_label.html class='stroke-primary cursor-pointer' id=menu_id content=x_svg %}
          </div>
        </div> 
      </div>

      <div class="row m-0 no-gutters align-items-center justify-content-start w-100">
        <div class="d-print-none text-uppercase font-olsen-tf font-small align-self-end">
          <ul class="p-0 m-0">
            {%- for item in site.i18n.menu.items -%}
              <li class="pb-1 list-unstyled">
                <a class="{% if page.url == item.href %} active{% endif %}" href="{{ item.href }}">
                  {{ item.title }}

                  {%- if page.url == item.href -%}
                    <span class="sr-only">
                      {{ site.i18n.menu.active | default: '(current)' }}
                    </span>
                  {%- endif -%}
                </a>
              </li>
            {%- endfor -%}
          </ul>
        </div>
        {% include footer.html %}
      </div>
    </div>
</nav>
